diff -ruN software-suspend-core-2.0.0.99/kernel/power/ui.c software-suspend-core-2.0.0.100/kernel/power/ui.c
--- software-suspend-core-2.0.0.99/kernel/power/ui.c	2004-07-15 22:01:52.994193416 +1000
+++ software-suspend-core-2.0.0.100/kernel/power/ui.c	2004-07-15 22:01:58.430366992 +1000
@@ -324,19 +324,14 @@
 
 static int handle_loglevel_change(void)
 {
+#ifdef CONFIG_VT
 	static int recursive = 0;
 	
 	if ((console_loglevel == lastloglevel) || recursive)
 		return 0;
 	
-	if (lastloglevel == -1) {
-		lastloglevel = console_loglevel;
-		return 0;
-	}
-
 	recursive = 1;
 
-#ifdef CONFIG_VT
 	/* Calculate progress bar width. Note that whether the
 	 * splash screen is on might have changed (this might be
 	 * the first call in a new cycle), so we can't take it
@@ -352,6 +347,12 @@
 		barwidth = 
 			(video_num_columns - 2 * (video_num_columns / 4) - 2);
 
+	if (lastloglevel == -1) {
+		lastloglevel = console_loglevel;
+		recursive = 0;
+		return 0;
+	}
+
 	/* Only reset the display if we're switching between nice display
 	 * and displaying debugging output */
 	
@@ -361,11 +362,11 @@
 			if (splash_is_on(fg_console))
 				splash_write_proc("verbose\n", 9);
 		}
-#endif
+
 		printnolog(0, console_loglevel, 0,
 			"Switched to console loglevel %d.\n", 
 			console_loglevel);
-#ifdef CONFIG_VT
+	
 	} else if (lastloglevel > 1) {
 		clear_display();
 		if (splash_is_on(fg_console))
@@ -374,13 +375,13 @@
 	
 	/* Get the nice display or last action [re]drawn */
 	prepare_status(0, 0, NULL);
-#endif
 	
 	lastloglevel = console_loglevel;
 
 	recursive = 0;
 	
 	return 1;
+#endif
 }
 
 #ifdef CONFIG_SOFTWARE_SUSPEND_DEBUG
